@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
}

.spin-fast {
    animation: spinFast 0.4s linear infinite;
    transform-origin: center center;
}

@keyframes spinFast {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

.page-wrapper{
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    z-index:0;
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.bg-log{
    position:fixed;
    background-color: #F8F8FA;
    position:absolute;
    top:0;
    left:0;
    width: 100%;
    height: 100vh;
    z-index: -1;
    overflow: hidden;
    pointer-events: none;
}

.bg-img{
    position:absolute;
    width: auto;
    height: auto;
}

.navbar-search-container{
    display:flex;
    align-items: center;
    justify-content: flex-start;
    width: 41vw;
    gap:0;
    z-index: 99;
}

.navbar-search-block{
    flex: 1;
    display: flex;
    align-items: center;
    z-index:2;
}

.navbar-search{
    background-color: #E3E6EC;
    border-radius: 10px;
    border: 0px;
    width: 100%;
    height: 3.5rem;
    font-weight: 300;
    color:#6A7384;
}

.navbar-search:focus{
    outline: none;
    box-shadow: none;
    background-color: #222223;
    color: #EDF0F4;
}

.navbar-search:focus::placeholder{
    color:#EDF0F4;
}

.navbar-search-div{
    background-color: #E3E6EC;
    border-radius: 10px;
    border: 0px;
    height: 3.5rem;
    display:flex;
    align-items: center;
    position:relative;
    flex-grow:1;
}

.navbar-search-div:focus-within{
    background-color: #222223;
}

.navbar-search-div:focus-within .navbar-search-logo{
    color:#EDF0F4;
}

.navbar-search-logo{
    color:#6A7384;
    font-size:2rem;
    margin-left:1rem;
    margin-right:1rem;
}

.navbar-search-results{
    position:absolute;
    top: calc(100% - 8px);
    left:0;
    width:100%;
    background-color: #38383a;
    display:none;
    flex-direction:column;
    border-radius: 0 0 10px 10px;
    color:#EDF0F4;
    padding:1rem 1.5rem;
    z-index:99;
}

.navbar-search-div:focus-within + .navbar-search-results{
    display:flex;
}

.navbar-search-wrapper{
    position:relative;
    z-index:99;
}

.navbar-breadcrumb-block{
    flex: 0;
    opacity: 0;
    overflow: hidden;
    background-color: #EDF0F4;
    border-radius: 10px;
    border: 0px;
    height: 3.5rem;
    display:flex;
    align-items: center;
    position:relative;
}

.with-breadcrumb .navbar-search-block{
    flex: 0.2;
}

.with-breadcrumb .navbar-breadcrumb-block{
    flex: 0.8;
    opacity: 1;
    background-color: #EDF0F4;
    margin-left:-20px;
    padding-right:20px;
}


.navbar-breadcrumb button {
    margin-left: 0.5rem;
    background: none;
    border: none;
    color: #6A7384;
    font-size: 1rem;
    cursor: pointer;
}

.navbar-breadcrumb.hidden {
    opacity: 0;
    transform: scale(0.95);
    pointer-events: none;
}

.with-breadcrumb.navbar-search-container:focus-within .navbar-search-block {
    flex: 1;
}

.with-breadcrumb.navbar-search-container:focus-within .navbar-breadcrumb-block {
    flex: 0;
    opacity: 0;
    margin-left: 0;
    padding-right: 0;
}

.index-text-news{
    font-size: 21.8vw;
    text-align:center; 
    line-height:0.9; 
    font-weight: 500;
    user-select: none;
    max-width: 100%;
    margin-left:-1.5vw;
}

.marquee-container {
    width: 100%;              
    overflow: hidden;
    display: flex;        
}

.marquee-text {
    display: flex;
    font-size: 2rem;
    flex-shrink: 0;
    align-items: center;
    user-select: none;
    animation: scroll 10s linear infinite;
    gap: 2rem;
}

@keyframes scroll {
    0%   { transform: translateX(-100%); }
}

.img-index-portrait{
    border-radius: 25px;
    max-width: 100%;
    padding: 0.5rem 1rem;  
}

.index-container-genres{
    display: flex;
    gap: 2rem;
    align-items: flex-start;
    flex-direction: row;
    overflow-x: auto;
}

.index-container-genre{
    display: flex;
    flex-direction: column;
    min-width: 30rem;
    padding: 0.5rem 1rem;  
}

.index-container-product{
    width: 30rem;
}

.index-product-cart{
    display:flex;
    flex-direction: row;
    justify-content: flex-start;
    border-top: solid 0.2px rgb(214, 214, 214);
    width: 30rem;
    padding: 1rem;
}

.index-card-info-1, .index-card-info-2{
    margin-top: -0.4rem;
}

.index-card-info-3{
    position:absolute;
    bottom: 0;
    margin-bottom: 0.1rem;
}

.index-product-cart, .book-card, .user-card {
    transition: all 0.5s ease;
}

.index-product-cart:hover, .book-card:hover, .user-card:hover {
    scale: 1;
    box-shadow: #38383a;
}

.content-grid-users{
    width: 100%;
    max-width: 100%;
    margin:0 auto;
    padding: 0 1rem;
}

.grid-users{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 0.5rem;    
    
}

.user-card{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.user-card p {
    white-space: nowrap;
    overflow:hidden;
    text-overflow: ellipsis;
}

.content-grid-books{
    width: 100%;
    max-width: 100%;
    margin:0 auto;
    padding: 0 1rem;
}

.grid-books{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    justify-items: center;
}

.book-card{
    max-width: 265px;
    max-height: 510px;
}

.bookshelf-grid-container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 0.5rem 1rem;
    gap:20px;
    margin-top:1rem;
    
}

.bookshelf-card{
    margin-right:1.5rem;
    font-weight: 500;
    font-size: xx-large;
    border-bottom: solid 1px rgb(209, 209, 209);
}

.button-to-bookshelf{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background-color: #EDF0F4;
    border-radius:7px;
    width:110px; height:225px;
    padding:3rem;
    font-size: x-large;
    font-weight: 400;
}

.overlayForSidebar{
    position:fixed; top:0; left:0; width: 100%; height:100%;
    background: rgba(0, 0, 0, 0.371);
    display:none;
    z-index: 99;
}

.sidebar{
    position:fixed; top:0; right: -50%; width: 50%; height: 100%;
    background: white;
    transition: right 0.3s ease;
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
    z-index: 100;
}

.form-check-input:checked {
    background-color: #F26457;
    border-color: #F26457;
}

.form-check-input:checked:focus {
    box-shadow: 0 0 0 0.25rem #e9a6a0;
}

.ratingScore {
    position:relative;
    width: 7.5rem;
    height: 7.5rem;
    border-radius: 50%;
    display: flex;
    align-items:center;
    justify-content: center;
    font-size: 1.7rem;
    font-weight: 400;
    color:black;
    background: conic-gradient(
    black 0deg var(--progress, 0deg),
    rgb(198, 198, 198) var(--progress, 0deg) 360deg
    );
    transition: background 0.4s ease;
    z-index:1;
}

.ratingScore::before {
    content: '';
    position: absolute;
    width: 6.56rem;
    height: 6.56rem;
    background: #f8fafc;
    border-radius: 50%;
    z-index:-1;
}

.ratingScoreWrapper {
    position: relative;
    width: 3rem;
    height: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
}

.ratingScoreCircle {
    position: absolute;
    inset: 0;
    border-radius: 50%;
    background: conic-gradient(
        black 0deg var(--progress, 0deg),
        rgb(198, 198, 198) var(--progress, 0deg) 360deg
    );
}

.ratingScoreCircleWhite {
    position: absolute;
    inset: 0;
    border-radius: 50%;
    background: conic-gradient(
        #EDF0F4 0deg var(--progress, 0deg),
        #535353 var(--progress, 0deg) 360deg
    );
}

.ratingScoreValue {
    position: relative;
    z-index: 1;
    font-size: 0.8rem;
    font-weight: 400;
    color: black;
    background-color: white; 
    border-radius: 50%;
    width: 2.5rem;
    height: 2.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.ratingScoreValueWhite {
    position: relative;
    z-index: 1;
    font-size: 0.8rem;
    font-weight: 400;
    color: #EDF0F4;
    background-color: #38383a; 
    border-radius: 50%;
    width: 2.5rem;
    height: 2.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.custom-round-checkbox .form-check-input {
    appearance: none;              
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 1.3rem;
    height: 1.3rem;
    border: 2px solid #B7BAC0;    
    border-radius: 50%;             
    background-color: white;
    cursor: pointer;
    transition: all 0.2s ease;
    position: relative;
}


.custom-round-checkbox .form-check-input:checked {
    background-color: white;    
    border-color: #FF6754;         
}


.custom-round-checkbox .form-check-input:checked::after {
    content: '';
    position: absolute;
    top: 2.7px;
    left: 2.7px;
    width: 0.7rem;
    height: 0.7rem;
    border-radius: 50%;
    background-color: #FF6754;
}


.custom-round-checkbox .form-check-input:hover {
    border-color: white;
}

.filter-button-false{
    color:#B7BAC0;
    font-weight:200; 
    font-size:0.8rem;
    cursor:pointer;
    user-select: none;
}

.filter-button-true{
    color:black;
    font-weight:300;
    font-size:0.8rem;
    padding:0.9rem 0.9rem;
    background-color:#dfe2e4;
    border-radius:8px;
    cursor:pointer;
    user-select: none;
}

.notHover:hover{
    color:inherit;
    text-decoration: none;
}

.notHover{
    color:black;
    cursor:pointer;
}

.carousel-view{
    position:relative;
    overflow: hidden;
}

.carousel-track{
    display: flex;
    will-change: transform;
    transform: translateX(0%);
    transition: transform 3s ease-in-out;
}

.carousel-slide{
    flex: 0 0 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#conditions {
    appearance: none;
    -webkit-appearance: none;
    width: 18px;
    height: 18px;
    border: 2px solid #FF6754;
    border-radius: 2px;
    cursor: pointer;
    position: relative;
    transition: all 0.2s ease;
}


#conditions:checked {
    background-color: #FF6754;
    border-color: #FF6754;
}

#conditions:checked::after {
    content: '';
    position: absolute;
    top: 2px;
    left: 5px;
    width: 4px;
    height: 8px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}